Subject: Re: [bug#36543] [PATCH] gnu: wireservice: New wireservice-package macro.
From: Ludovic Courtès <[email-masked]>
To: Pierre Langlois <[email-masked]>
Cc: [email-masked]
Date: Mon, 08 Jul 2019 12:57:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Pierre Langlois <[email-masked]> skribis:

> Here's a new 'wireservice-package' macro that factors the packages that
> used to inherit for a base package with '#f fields. The main change is
> that native-inputs are no longer common, I toyed with a more complicated
> macro that would allow extending them but in the end I think the simpler
> the better!
>
> WDYT?

I think it looks good this way!

There’s a bit of code bloat because the macro expands the ‘arguments’
field for every package, but it doesn’t matter much here (it’d be more
of a problem if we had 100s of packages all duplicating that field.)

> Thanks for the suggestion! I need to learn me some more macro magic,
> it's fun :-).

Yup!  :-)

> From cf7559db69dd1d829e620c6b31e253a2d8911eff Mon Sep 17 00:00:00 2001
> From: Pierre Langlois <[email-masked]>
> Date: Sun, 7 Jul 2019 16:02:26 +0100
> Subject: [PATCH] gnu: wireservice: New wireservice-package macro.
>
> Replace the parent 'base-package' variable with a 'wireservice-package' macro
> that includes all common package fields.
>
> * gnu/packages/wireservice.scm (base-package): Delete.
> (wireservice-package): New macro.
> (python-leather, python-agate, python-agate-sql, python-agate-dbf,
> python-agate-excel): Use wireservice-package.

Applied, thanks for the quick followup!

Ludo’.